#include<bits/stdc++.h>
using namespace std;
int main() {
    int n;
    cin>>n;
    int ost2 = n%2;
    if(ost2==0) {
        for(int i=0;i<n/2;i++) {
            cout<<1;
        }
        cout<<"\n";
        return 0;
    }else {
        cout<<7;
        for(int i=0;i<(n-3)/2;i++) {
            cout<<1;
        }
        cout<<"\n";
        return 0;
    }


    return 0;
}
